%define _name quick-lounge
%define ver_major 2.12

Name: gnome-applets-extra-%_name
Version: %ver_major.4
Release: alt3

Summary: Organize your preferred applications on the GNOME Panel
License: GPL
Group: Graphical desktop/GNOME
Url: http://%_name.sourceforge.net/

Source: %gnome_ftp/%_name-applet/%ver_major/%_name-applet-%version.tar.bz2

%define glib_ver 2.2.0
%define gtk_ver 2.2.0
%define libgnome_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define gnome_desktop_ver 2.4.0
%define gnome_vfs_ver 2.4.0
%define glade_ver 2.4.0
%define panel_ver 2.4.0
%define gnome_menus_ver 2.12.0

Requires: gnome-panel >= %panel_ver

BuildPreReq: gnome-common rpm-build-gnome

# From configure.in
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: libgnome-menus-devel >= %gnome_menus_ver
BuildPreReq: GConf2
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libX11-devel libXt-devel

BuildRequires: scrollkeeper

%description
Organize your preferred applications on the GNOME Panel.

%prep
%setup -q -n %_name-applet-%version
# Disable scrollkeeper-update call.
%__subst 's|^.*scrollkeeper-update|#&|' omf.make

%build
intltoolize --force
autoreconf -fisv
%configure \
    --disable-schemas-install \
    --disable-static

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --output=%_name.lang --with-gnome %_name %_name-applet

%post
%gconf2_install %_name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_scrollkeeper

%files -f %_name.lang
%_libexecdir/%_name-applet
%_libdir/bonobo/servers/*
%_datadir/gnome-2.0/ui/*
%dir %_datadir/%_name-applet
%dir %_datadir/%_name-applet/glade
%_datadir/%_name-applet/glade/*.glade
%_liconsdir/%_name-applet.*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Mon Oct 15 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.4-alt3
- fixed building with new intltool

* Fri Jun 29 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.4-alt2
- fixed building on x86_64 (X libraries were not found)
- commented out scrollkeeper-update call and removed scrollkeeper files
  exclusion.

* Thu Jun 28 2007 Alexey Rusakov <ktirf@altlinux.org> 2.12.4-alt1
- new version (2.12.4)
- note the correct Url
- updated dependencies

* Wed May 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- fixed dependencies for X.org 7.0
- spec cleanup

* Thu Nov 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- new version

* Mon Apr 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Wed Feb 09 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.1-alt1
- 2.9.1

* Wed Oct 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sun Sep 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Wed Mar 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Dec 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1
- russian translation.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- First build for Sisyphus.

